import importlib

tf_core = importlib.import_module("TF-core")
tf_distr_equal = importlib.import_module("TF-distr-equal")
tf_distr_91_09 = importlib.import_module("TF-distr-091-009")
tf_distr_82_18 = importlib.import_module("TF-distr-082-018")
tf_distr_73_27 = importlib.import_module("TF-distr-073-027")
tf_ae_equal = importlib.import_module("TF-ae-equal")
tf_ae_91_09 = importlib.import_module("TF-ae-091-009")
tf_ae_82_18 = importlib.import_module("TF-ae-082-018")
tf_ae_73_27 = importlib.import_module("TF-ae-073-027")

nnp_core = importlib.import_module("NNP-core")
nnp_distr_equal = importlib.import_module("NNP-distr-equal")
nnp_distr_91_09 = importlib.import_module("NNP-distr-091-009")
nnp_distr_82_18 = importlib.import_module("NNP-distr-082-018")
nnp_distr_73_27 = importlib.import_module("NNP-distr-073-027")
nnp_ae_equal = importlib.import_module("NNP-ae-equal")
nnp_ae_91_09 = importlib.import_module("NNP-ae-091-009")
nnp_ae_82_18 = importlib.import_module("NNP-ae-082-018")
nnp_ae_73_27 = importlib.import_module("NNP-ae-073-027")

scatter_tf_core = importlib.import_module("scatterplot-TF-core")
scatter_tf_distr_equal = importlib.import_module("scatterplot-TF-distr-equal")
scatter_tf_distr_091_009 = importlib.import_module("scatterplot-TF-distr-091-009")
#scatter_tf_distr_073_027 = importlib.import_module("scatterplot-TF-distr-073-027")
scatter_tf_ae_091_009 = importlib.import_module("scatterplot-TF-ae-091-009")
scatter_tf_ae_082_018 = importlib.import_module("scatterplot-TF-ae-082-018")
scatter_nnp_core = importlib.import_module("scatterplot-NNP-core")
scatter_nnp_distr_equal = importlib.import_module("scatterplot-NNP-distr-equal")
scatter_nnp_distr_091_009 = importlib.import_module("scatterplot-NNP-distr-091-009")
scatter_nnp_distr_073_027 = importlib.import_module("scatterplot-NNP-distr-073-027")
scatter_nnp_ae_091_009 = importlib.import_module("scatterplot-NNP-ae-091-009")
scatter_nnp_ae_082_018 = importlib.import_module("scatterplot-NNP-ae-082-018")
scatter_nnp_ae_073_027 = importlib.import_module("scatterplot-NNP-ae-073-027")

tf_distr_91_09_distance = importlib.import_module("TF-distr-091-009-distance")
tf_distr_82_18_distance = importlib.import_module("TF-distr-082-018-distance")
tf_distr_73_27_distance = importlib.import_module("TF-distr-073-027-distance")
tf_distr_equal_distance = importlib.import_module("TF-distr-equal-distance")
tf_ae_73_27_distance = importlib.import_module("TF-ae-073-027-distance")
tf_ae_82_18_distance = importlib.import_module("TF-ae-082-018-distance")
tf_ae_91_09_distance = importlib.import_module("TF-ae-091-009-distance")

nnp_distr_91_09_distance = importlib.import_module("NNP-distr-091-009-distance")
nnp_distr_082_018_distance = importlib.import_module("NNP-distr-082-018-distance")
nnp_distr_073_027_distance = importlib.import_module("NNP-distr-073-027-distance")
nnp_distr_equal_distance = importlib.import_module("NNP-distr-equal-distance")
nnp_ae_073_027_distance = importlib.import_module("NNP-ae-073-027-distance")
nnp_ae_082_018_distance = importlib.import_module("NNP-ae-082-018-distance")
nnp_ae_091_009_distance = importlib.import_module("NNP-ae-091-009-distance")

if __name__ == '__main__':
    # put <function>.run() to run multiple experiments at once

    scatter_tf_distr_equal.run()
    scatter_nnp_distr_equal.run()
    scatter_tf_ae_082_018.run()
    scatter_nnp_ae_082_018.run()
    scatter_nnp_distr_073_027.run()
    scatter_nnp_core.run()
    scatter_nnp_ae_091_009.run()
    scatter_nnp_distr_091_009.run()
    pass